NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Tooling.SpecifyCircuitBuilder Class Reference

Represents a builder to be used to create specify circuit. More...

Inheritance diagram for NXOpen.Tooling.SpecifyCircuitBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AddADeselectedFittingPoint (NXOpen.Point aFittingPoint)
 Adds a fitting point to the deselect channel fitting points collector. More...
 
unsafe void AddAttachedChannelToChannelList (NXOpen.Body attachedChannel)
 Adds a channel attached by deleted point to channel list More...
 
unsafe void AddDeletePointToDelPointList (NXOpen.Point deleteFitPoint)
 Adds a deleted fitting point to deleted point list More...
 
unsafe void BlankArrows (int nodeIndex, bool isBlank)
 Blanks or unblanks arrows at the intersect point. More...
 
unsafe void BlankArrowsAtEachIntersection (int nodeIndex)
 Blanks all the new created arrows in each intersect point of one circuit tree node, not include the inlet arrow. More...
 
unsafe void CheckStatus ()
 Check whether cooling circuit is finished or not. More...
 
unsafe void ClearStartCollectorData ()
 Clears the start collector data More...
 
unsafe void CreateArrowAtIntersection (int nodeIndex)
 Creates arrows at intersection More...
 
unsafe
NXOpen.Tooling.CoolingFittingData 
CreateCoolingFittingData ()
 Creates the cooling fitting data object. More...
 
unsafe void CreateManualLinkList (int arrowList)
 Creates manual link list for each circuit node, link list stores the information of each channel in one circuit More...
 
unsafe void CreateStartArrow (int nodeId, double radius, NXOpen.Point3d closestPoint, NXOpen.Vector3d faceVec)
 Creates and displays the start channel arrow to indicate the inlet direction More...
 
unsafe void EmptyNewFittingPoint (int nodeIndex)
 Empties new fitting point from specified circuit tree node More...
 
unsafe double[] GetCircuitColor ()
 Returns the circuit channel body color. More...
 
unsafe
NXOpen.Tooling.CoolingFittingData 
GetCoolingFittingData ()
 Gets the Cooling Fitting Data object. More...
 
unsafe void GetOneCircuit (NXOpen.Body[] channels)
 Gets intersect cooling list value. More...
 
unsafe void InitializeCircuitSetData ()
 Initializes the circuit set data. More...
 
unsafe void RedisplayArrow (int circuitNode)
 Redisplays the arrow to get the new circuit More...
 
unsafe void RemoveADeselectedFittingPoint (NXOpen.Point aFittingPoint)
 Removes a fitting point from the deselect channel fitting points collector. More...
 
unsafe void RemoveAttributesAndTemporaryData (NXOpen.NXObject[] nodeTag)
 Removes all temporary solids and lines and removes the attribute on the channels More...
 
unsafe void RemoveLabel (int nodeIndex, NXOpen.NXObject labelTag)
 Removes inlet or outlet Label from specified circuit More...
 
unsafe void RemoveOneCoolingArrow (int nodeIndex, NXOpen.NXObject arrowTag)
 Removes one cooling arrow from specified circuit More...
 
unsafe void RemoveOneFittingPoint (int nodeIndex, NXOpen.Point aPoint)
 Removes one fitting point from specified circuit tree node More...
 
unsafe void RemoveParametersInLinkList (bool removeArrowAtIntersect, bool removeStartArrow, bool removeCreateBody, bool removeFittingPoint, bool emptyStartStructure, bool doUpdate)
 Removes parameters in link list that stores the information of each channel in one circuit and destroys this link list More...
 
unsafe void SetBlindEnd (bool isBlind)
 Records the blind end encountered or not. More...
 
unsafe void SetChannelType (string channelType)
 Sets the channel type More...
 
unsafe void SetCircuitColor (double[] circuitColor)
 Sets the circuit color. More...
 
unsafe void SetCircuitSelNode (int circuitSelNode)
 Sets the selected circuit node More...
 
unsafe void SetCircuitTreeNodeName (int nodeIndex, string nodeName)
 Sets circuit tree node name More...
 
unsafe void SetCircuitTreeNodeUpdate (int nodeIndex, bool isUpdate)
 Sets circuit tree node update or not More...
 
unsafe void SetCoolingNodeInfo ()
 Gets and records cooling fitting node information from standard part register file, including fitting type name, fitting type value, fitting bitmap, reuse part full path name, the flag to use reuse part or not, the relative location of the part family template, the name of the library containing the part family template, the clone action type. More...
 
unsafe void SetExistingFittingPointDataDetails (NXOpen.Point[] fittingPts, string[] channelDiameters, string[] currentNames, string[] currentTypes, string[] currentFitTypes, string[] baffleLengths, bool[] fittingPointModified, string[] partNumbersTc)
 Sets existing fitting point data details. More...
 
unsafe void SetIntersectionAndInletInfo (NXOpen.Body selectedChannel, NXOpen.Point3d arrowList)
 Sets the intersection information and inlet channel information. More...
 
unsafe void SetSpecifiedCircuitColor (int nodeIndex, int nodeColor)
 Sets specified circuit color More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.NXColor ChannelColor [get, set]
 Returns or sets the circuit channel body color. More...
 
unsafe NXOpen.NXColor CircuitColor [get, set]
 Returns or sets the circuit channel temperary body color. More...
 
unsafe bool CreateFittings [get, set]
 Returns or sets the value which specifies whether to add fittings or not. More...
 
unsafe NXOpen.SelectBodyList InletChannel [get]
 Returns the inlet channel. More...
 
unsafe bool KeepCircuit [get, set]
 Returns or sets the option whether to keep the circuit displayed body. More...
 
unsafe int Layer [get, set]
 Returns or sets the layer value for the selected channels. More...
 
unsafe NXOpen.SelectBody OutletChannel [get]
 Returns the outlet channel. More...
 
unsafe bool UseSymbol [get, set]
 Returns or sets the value which specifies whether to add real component or not. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a builder to be used to create specify circuit.

To create a new instance of this class, use NXOpen.Tooling.SpecifyCircuitCollection.CreateBuilder

Default values.

Property Value

CreateFittings

1

KeepCircuit

0

Layer

251

UseSymbol

1

Created in NX8.0.0

Member Function Documentation

unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.AddADeselectedFittingPoint ( NXOpen.Point  aFittingPoint)
inline

Adds a fitting point to the deselect channel fitting points collector.

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
aFittingPoint
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.AddAttachedChannelToChannelList ( NXOpen.Body  attachedChannel)
inline

Adds a channel attached by deleted point to channel list

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
attachedChannel
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.AddDeletePointToDelPointList ( NXOpen.Point  deleteFitPoint)
inline

Adds a deleted fitting point to deleted point list

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
deleteFitPoint
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.BlankArrows ( int  nodeIndex,
bool  isBlank 
)
inline

Blanks or unblanks arrows at the intersect point.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
isBlank
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.BlankArrowsAtEachIntersection ( int  nodeIndex)
inline

Blanks all the new created arrows in each intersect point of one circuit tree node, not include the inlet arrow.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.CheckStatus ( )
inline

Check whether cooling circuit is finished or not.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.ClearStartCollectorData ( )
inline

Clears the start collector data

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.CreateArrowAtIntersection ( int  nodeIndex)
inline

Creates arrows at intersection

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
unsafe NXOpen.Tooling.CoolingFittingData NXOpen.Tooling.SpecifyCircuitBuilder.CreateCoolingFittingData ( )
inline

Creates the cooling fitting data object.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD")

Returns
the new NXOpen.Tooling.CoolingFittingData instance
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.CreateManualLinkList ( int  arrowList)
inline

Creates manual link list for each circuit node, link list stores the information of each channel in one circuit

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
arrowList
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.CreateStartArrow ( int  nodeId,
double  radius,
NXOpen.Point3d  closestPoint,
NXOpen.Vector3d  faceVec 
)
inline

Creates and displays the start channel arrow to indicate the inlet direction

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeId
radius
closestPoint
faceVec
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.EmptyNewFittingPoint ( int  nodeIndex)
inline

Empties new fitting point from specified circuit tree node

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
unsafe double [] NXOpen.Tooling.SpecifyCircuitBuilder.GetCircuitColor ( )
inline

Returns the circuit channel body color.

Created in NX8.0.0

License requirements: None.

Returns
Array of 3 RGB values, each between 0 and 1
unsafe NXOpen.Tooling.CoolingFittingData NXOpen.Tooling.SpecifyCircuitBuilder.GetCoolingFittingData ( )
inline

Gets the Cooling Fitting Data object.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD")

Returns
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.GetOneCircuit ( NXOpen.Body[]  channels)
inline

Gets intersect cooling list value.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
channelsthe cooling body
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.InitializeCircuitSetData ( )
inline

Initializes the circuit set data.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.RedisplayArrow ( int  circuitNode)
inline

Redisplays the arrow to get the new circuit

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
circuitNode
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.RemoveADeselectedFittingPoint ( NXOpen.Point  aFittingPoint)
inline

Removes a fitting point from the deselect channel fitting points collector.

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
aFittingPoint
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.RemoveAttributesAndTemporaryData ( NXOpen.NXObject[]  nodeTag)
inline

Removes all temporary solids and lines and removes the attribute on the channels

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeTag
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.RemoveLabel ( int  nodeIndex,
NXOpen.NXObject  labelTag 
)
inline

Removes inlet or outlet Label from specified circuit

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
labelTag
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.RemoveOneCoolingArrow ( int  nodeIndex,
NXOpen.NXObject  arrowTag 
)
inline

Removes one cooling arrow from specified circuit

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
arrowTag
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.RemoveOneFittingPoint ( int  nodeIndex,
NXOpen.Point  aPoint 
)
inline

Removes one fitting point from specified circuit tree node

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
aPoint
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.RemoveParametersInLinkList ( bool  removeArrowAtIntersect,
bool  removeStartArrow,
bool  removeCreateBody,
bool  removeFittingPoint,
bool  emptyStartStructure,
bool  doUpdate 
)
inline

Removes parameters in link list that stores the information of each channel in one circuit and destroys this link list

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
removeArrowAtIntersect
removeStartArrow
removeCreateBody
removeFittingPoint
emptyStartStructure
doUpdate
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetBlindEnd ( bool  isBlind)
inline

Records the blind end encountered or not.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
isBlind
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetChannelType ( string  channelType)
inline

Sets the channel type

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
channelType
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetCircuitColor ( double[]  circuitColor)
inline

Sets the circuit color.

Created in NX8.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
circuitColorArray of 3 RGB values, each between 0 and 1
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetCircuitSelNode ( int  circuitSelNode)
inline

Sets the selected circuit node

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
circuitSelNode
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetCircuitTreeNodeName ( int  nodeIndex,
string  nodeName 
)
inline

Sets circuit tree node name

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
nodeName
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetCircuitTreeNodeUpdate ( int  nodeIndex,
bool  isUpdate 
)
inline

Sets circuit tree node update or not

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
isUpdate
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetCoolingNodeInfo ( )
inline

Gets and records cooling fitting node information from standard part register file, including fitting type name, fitting type value, fitting bitmap, reuse part full path name, the flag to use reuse part or not, the relative location of the part family template, the name of the library containing the part family template, the clone action type.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetExistingFittingPointDataDetails ( NXOpen.Point[]  fittingPts,
string[]  channelDiameters,
string[]  currentNames,
string[]  currentTypes,
string[]  currentFitTypes,
string[]  baffleLengths,
bool[]  fittingPointModified,
string[]  partNumbersTc 
)
inline

Sets existing fitting point data details.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
fittingPts
channelDiameters
currentNames
currentTypes
currentFitTypes
baffleLengths
fittingPointModified
partNumbersTc
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetIntersectionAndInletInfo ( NXOpen.Body  selectedChannel,
NXOpen.Point3d  arrowList 
)
inline

Sets the intersection information and inlet channel information.

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
selectedChannel
arrowList
unsafe void NXOpen.Tooling.SpecifyCircuitBuilder.SetSpecifiedCircuitColor ( int  nodeIndex,
int  nodeColor 
)
inline

Sets specified circuit color

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
nodeIndex
nodeColor

Property Documentation

unsafe NXOpen.NXColor NXOpen.Tooling.SpecifyCircuitBuilder.ChannelColor
getset

Returns or sets the circuit channel body color.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe NXOpen.NXColor NXOpen.Tooling.SpecifyCircuitBuilder.CircuitColor
getset

Returns or sets the circuit channel temperary body color.

Created in NX8.0.1

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe bool NXOpen.Tooling.SpecifyCircuitBuilder.CreateFittings
getset

Returns or sets the value which specifies whether to add fittings or not.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe NXOpen.SelectBodyList NXOpen.Tooling.SpecifyCircuitBuilder.InletChannel
get

Returns the inlet channel.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.SpecifyCircuitBuilder.KeepCircuit
getset

Returns or sets the option whether to keep the circuit displayed body.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe int NXOpen.Tooling.SpecifyCircuitBuilder.Layer
getset

Returns or sets the layer value for the selected channels.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe NXOpen.SelectBody NXOpen.Tooling.SpecifyCircuitBuilder.OutletChannel
get

Returns the outlet channel.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.SpecifyCircuitBuilder.UseSymbol
getset

Returns or sets the value which specifies whether to add real component or not.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.